Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1758794 - Branch request: python3-lz4 for epel8
Summary: Branch request: python3-lz4 for epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-lz4
Version: epel8
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-05 17:35 UTC by Ling Li
Modified: 2019-10-25 17:28 UTC (History)
2 users (show)

Fixed In Version: python-lz4-2.1.2-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 17:28:26 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ling Li 2019-10-05 17:35:02 UTC
Can we please have python-lz4 built for EPEL-8?

I am merely a user so the note below might not be accurate, but hope it may help.

python-lz4 comes with bundled lz4, which is removed (and replaced with the system version) when it is being packaged.  The last version of 
python-lz4 that explicitly bundles the centos 8 version of lz4 (1.8.1.2) is 2.1.0.

Since lz4 releases after 1.8.1.2 are mostly performance focused, it could be that the ABI hasn't changed and the latest version of python-lz4 *may* still work with lz4 1.8.1.2.

Comment 1 Orion Poplawski 2019-10-05 23:55:01 UTC
Looks like we have some missing dependencies:

No matching package to install: 'python3-pkgconfig'
No matching package to install: 'python3-psutil'
No matching package to install: 'python3-sphinx-bootstrap-theme'

Comment 2 Fedora Update System 2019-10-08 03:38:31 UTC
FEDORA-EPEL-2019-6adf1e0ef3 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6adf1e0ef3

Comment 3 Fedora Update System 2019-10-08 03:39:23 UTC
FEDORA-EPEL-2019-6adf1e0ef3 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6adf1e0ef3

Comment 4 Fedora Update System 2019-10-09 18:57:43 UTC
python-lz4-2.1.2-6.el8, python-pkgconfig-1.5.1-5.el8, python-psutil-5.6.3-5.el8, python-sphinx-bootstrap-theme-0.8.0-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6adf1e0ef3

Comment 5 Fedora Update System 2019-10-25 17:28:26 UTC
python-lz4-2.1.2-6.el8, python-pkgconfig-1.5.1-5.el8, python-psutil-5.6.3-5.el8, python-sphinx-bootstrap-theme-0.8.0-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.